선택적 상태 및 세션 필터를 사용하여 실행을 나열합니다. 프로젝트 범위는 경로 ID 경로 매개 변수에 의해 전달되며 조직은 해당 프로젝트 에서 파생됩니다.
GET /api/v1/projects/{id}/executions
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/executions' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"count": 42,
"executions": [
{
"created_at": "string",
"error": "string",
"error_code": "string",
"execution_id": "string",
"message": "string",
"org_id": "string",
"project_id": "string",
"session_id": "string",
"startup_failure": {
"boot_id": "string",
"code": "string",
"component": "string",
"phase": "string",
"source": "string"
},
"status": "string",
"suspend_context": {},
"suspend_reason": "string",
"updated_at": "string",
"user_id": "string"
}
],
"success": true
}
응답 예시(200)
{
"count": 42,
"executions": [
{
"created_at": "string",
"error": "string",
"error_code": "string",
"execution_id": "string",
"message": "string",
"org_id": "string",
"project_id": "string",
"session_id": "string",
"startup_failure": {
"boot_id": "string",
"code": "string",
"component": "string",
"phase": "string",
"source": "string"
},
"status": "string",
"suspend_context": {},
"suspend_reason": "string",
"updated_at": "string",
"user_id": "string"
}
],
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(425)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(425)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}